Bug 1006837 - Review Request: libgssglue - unretire
Review Request: libgssglue - unretire
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 07:07 EDT by Jiri Kastner
Modified: 2013-09-16 09:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 09:39:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2013-09-11 07:07:55 EDT
Description of problem:
conserver rely on libgssapi or libgssglue (which obsoletes libgssapi). unfortunately libgssglue was retired, which breakes conserver dependencies.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Till Maas 2013-09-11 12:47:12 EDT
Did you figure out why it was retired in the first place?
Comment 3 Jiri Kastner 2013-09-12 02:04:46 EDT
no, i think it is still question for steved
(In reply to Till Maas from comment #2)
> Did you figure out why it was retired in the first place?
Comment 4 Michael Schwendt 2013-09-15 07:05:23 EDT
Perhaps because the GSS-API in krb5-devel is supposed to be used instead.

[...]

The libgssglue packaging is broken, btw.

> Provides: libgssapi = %{version}-%{release}
> Provides: libgssapi-devel = %{version}-%{release}
> Obsoletes: libgssapi <= 0.11 libgssapi-devel <= 0.11

That has been reported as bug 502131 (package obsoletes both devel and library causing confusion for yum) a long time ago, but has been CLOSED/WONTFIX eventually after no response.

Obviously, the -devel Obs/Prov need to be moved into the -devel package. There are a few more things in the spec that ought to be updated to match current guidelines.
Comment 5 Jiri Kastner 2013-09-16 09:39:46 EDT
i successfully built conserver with krb5-devel, removed dependency on libgss* libraries.

Note You need to log in before you can comment on or make changes to this bug.